Subject: restic is nine versions out of date

From: Kyle Andrews <[email-masked]>
Date: Sat, 22 Apr 2023 16:03:29 +0000

Dear Guix,

I rely on restic for my long-term backup solution and it worries me that the version currently provided by Guix is so ancient. Restic 0.9.6 was released in 2019 and there have been 9 major updates since then. I'm particularly interested in the compression support added in restic 0.14.0, but there are many other bug fixes and improvements which have been added. The latest release from January of this year is 0.15.1.

There was a recent appeal for help on the help-guix mailing list:

=> https://lists.gnu.org/archive/html/help-guix/2023-03/msg00117.html

I'm filing this bug report since I'm worried that the people who are most knowledge about Go in Guix might not check that mailing list as frequently. 

Cheers,
Kyle